#!/bin/bash

POVRAY_VERSION=3.7-stable

if [ ! -d povray ]; then
	git clone --depth 1 --branch $POVRAY_VERSION https://github.com/POV-Ray/povray povray
fi

bash build_docker.sh

cp build.sh povray/build.sh

cd povray

sudo docker run \
  --cpus=2 \
  -v $PWD:/usr/src \
  povray_gcc \
  sh -c 'cd /usr/src && sh build.sh'